Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class DataPublicator

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.DataPublicator

All Implemented Interfaces:
  IDataPublicator

public class DataPublicator
extends java.lang.Object
implements IDataPublicator

DataPublicator
Commentaire
(c)Copyright ESup-Portail 2004

Version:
  2.0
Author:
  Mathieu Larchet

Constructor Summary
`DataPublicator()`

Method Summary
`void` | `addPublicator(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.util.Collection logins)` Ajout d'une liste de publicateurs
`void` | `addPublicator(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String login)` Ajout d'un publicateur
`void` | `addPublicators(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.util.Collection groups)` Ajout d'une liste de groupes de publicateurs
`void` | `addPublicators(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String group)` Ajout d'un groupe de publicateurs
`java.util.Collection` | `getGroupsPublicators(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération des groupes de publicateurs d'un dossier
`java.util.Collection` | `getUsersPublicators(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Récupération des publicateurs d'un dossier
`void` | `removeAllPublicators(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Suppression de tous les publicateurs d'un dossier
`void` | `removePublicator(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String login)` Suppression d'un publicateur
`void` | `removePublicators(org.esupportail.portal.utils.database.Query query, java.lang.String id, java.lang.String group)` Suppression d'un groupe de publicateurs

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataPublicator

    public DataPublicator()

Method Detail

### getUsersPublicators

    public java.util.Collection getUsersPublicators(org.esupportail.portal.utils.database.Query query,
                                                    java.lang.String id)
                                             throws DataException

  Récupération des publicateurs d'un dossier

  Specified by:
    `getUsersPublicators` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    La liste des publicateurs
  Throws:
    `DataException`

### getGroupsPublicators

    public java.util.Collection getGroupsPublicators(org.esupportail.portal.utils.database.Query query,
                                                     java.lang.String id)
                                              throws DataException

  Récupération des groupes de publicateurs d'un dossier

  Specified by:
    `getGroupsPublicators` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Returns:
    La liste des groupes de publicateurs
  Throws:
    `DataException`

### addPublicator

    public void addPublicator(org.esupportail.portal.utils.database.Query query,
                              java.lang.String id,
                              java.lang.String login)
                       throws DataException

  Ajout d'un publicateur

  Specified by:
    `addPublicator` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### addPublicator

    public void addPublicator(org.esupportail.portal.utils.database.Query query,
                              java.lang.String id,
                              java.util.Collection logins)
                       throws DataException

  Ajout d'une liste de publicateurs

  Specified by:
    `addPublicator` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `logins` - La liste des identifiants
  Throws:
    `DataException`

### addPublicators

    public void addPublicators(org.esupportail.portal.utils.database.Query query,
                               java.lang.String id,
                               java.lang.String group)
                        throws DataException

  Ajout d'un groupe de publicateurs

  Specified by:
    `addPublicators` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `group` - L'identifiant du groupe
  Throws:
    `DataException`

### addPublicators

    public void addPublicators(org.esupportail.portal.utils.database.Query query,
                               java.lang.String id,
                               java.util.Collection groups)
                        throws DataException

  Ajout d'une liste de groupes de publicateurs

  Specified by:
    `addPublicators` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `groups` - La liste des identifiants de groupes
  Throws:
    `DataException`

### removePublicator

    public void removePublicator(org.esupportail.portal.utils.database.Query query,
                                 java.lang.String id,
                                 java.lang.String login)
                          throws DataException

  Suppression d'un publicateur

  Specified by:
    `removePublicator` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `login` - L'identifiant de l'utilisateur
  Throws:
    `DataException`

### removePublicators

    public void removePublicators(org.esupportail.portal.utils.database.Query query,
                                  java.lang.String id,
                                  java.lang.String group)
                           throws DataException

  Suppression d'un groupe de publicateurs

  Specified by:
    `removePublicators` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
    `group` - L'identifiant du groupe
  Throws:
    `DataException`

### removeAllPublicators

    public void removeAllPublicators(org.esupportail.portal.utils.database.Query query,
                                     java.lang.String id)
                              throws DataException

  Suppression de tous les publicateurs d'un dossier

  Specified by:
    `removeAllPublicators` in interface `IDataPublicator`
  Parameters:
    `query` - La connexion à utiliser
    `id` - L'identifiant du dossier
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD